﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.Enums;

namespace Domain
{
    public class Person
    {
        public int PersonId { get; set; }

        [MaxLength(128)]
        [MinLength(1)]
        [Required]
        public string FirstName { get; set; }
        [MaxLength(128)]
        [MinLength(1)]
        [Required]
        public string LastName { get; set; }

        public PersonType PersonType { get; set; }

        public virtual List<PersonCources> Courses { get; set; } = new List<PersonCources>();

        #region NotMaped
        public string FirstLastName => $"{FirstName} {LastName}";
        public string LastFirstName => $"{LastName} {FirstName}";
        #endregion
    }
}
